Skip to main content
POST
/
api
/
v1
/
disputes
/
{disputeId}
/
provide-evidence
Provide evidence for a dispute
curl --request POST \
  --url https://api.tabby.ai/api/v1/disputes/{disputeId}/provide-evidence \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "I am providing a photo of the damaged product that was received",
  "attachment_ids": [
    "attachment id, uuid format"
  ]
}
'
{
  "id": "evidence id, uuid format",
  "dispute_id": "dispute id, uuid format",
  "content": "I am providing a photo of the damaged product that was received",
  "created_by": "merchant",
  "created_at": "2024-01-15T10:30:00Z",
  "attachment_ids": [
    "attachment id, uuid format"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <secret_key>, where <secret_key> is your secret_key.

Path Parameters

dispute_id
string<uuid>
required

ID of the dispute.

Example:

"dispute id, uuid format"

Body

application/json
content
string
required

Text content of the evidence being provided.

Example:

"I am providing a photo of the damaged product that was received"

attachment_ids
string<uuid>[]

Array of attachment IDs to include as evidence. IDs can be received via upload attachment endpoint.

Response

Success. Evidence was submitted for the dispute.

id
string<uuid>
required

Evidence ID.

Example:

"evidence id, uuid format"

dispute_id
string<uuid>
required

Dispute ID.

Example:

"dispute id, uuid format"

content
string
required

Evidence content.

Example:

"I am providing a photo of the damaged product that was received"

created_by
string
required

Who created the evidence.

Example:

"merchant"

created_at
string<date-time>
required

Creation timestamp in UTC, ISO 8601 datetime format.

Example:

"2024-01-15T10:30:00Z"

attachment_ids
string<uuid>[]

Array of attachment IDs.